<?php

/**
 * @version		$Id$
 * @author		NooTheme
 * @package		Joomla.Site
 * @subpackage	mod_noo_contentslider
 * @copyright	Copyright (C) 2013 NooTheme. All rights reserved.
 * @license		License GNU General Public License version 2 or later; see LICENSE.txt, see LICENSE.php
 */

// no direct access
defined('_JEXEC') or die('Restricted access'); 
require_once __DIR__ . '/helper.php';

//include css
JHTML::stylesheet('modules/' . $module->module . '/assets/css/style.css');
//Include js
//JHTML::script('modules/' . $module->module . '/assets/js/jquery.transit.js');
if (!defined("NOO_JS_EASING")){
	JHTML::script('modules/' . $module->module . '/assets/js/jquery.easing.1.3.js',true);
	define("NOO_JS_EASING",true);
}
JHTML::script('modules/' . $module->module . '/assets/js/script.js',true);
$animation = '';
if (trim($params->get('animation')) == 'slide'){
	$animation = $params->get('anim_slide','slidehrz');
}elseif (trim($params->get('animation'))==='slice'){
	$animation = $params->get('anim_slice','slicezoom');
}else{
	$animation = $params->get('animation');
}
$jsObject = "
	jQuery(document).ready(function($){
		$('#noo-cs-".$module->id."').noocs({
			animation: '".$animation."',
			auto:".$params->get('autorun',0).",
			repeat:".$params->get('repeat',0).",
			duration:".$params->get('animation_speed',1000).",
			interval:".$params->get('animation_interval',5000).",
			control:".$params->get('show_buttons_control').",
			pager:".$params->get('show_pager_control')."
		});
	});
";
JFactory::getDocument()->addScriptDeclaration($jsObject);

$lists = modNooContentSliderHelper::getList($params);

require (JModuleHelper::getLayoutPath('mod_noo_contentslider',$params->get('layout', 'default')));