<?php
/**
 * @version		$Id$
 * @author		NooTheme
 * @package		Joomla.Site
 * @subpackage	mod_noo_gallery
 * @copyright	Copyright (C) 2013 NooTheme. All rights reserved.
 * @license		License GNU General Public License version 2 or later; see LICENSE.txt, see LICENSE.php
 */

// no direct access
defined('_JEXEC') or die('Restricted access'); 

require_once __DIR__.'/helper.php';

$param = modNooGalleryHelper::render($params);

$document = JFactory::getDocument();
$document->addScript('modules/mod_noo_gallery/assets/js/jquery.blueimp-gallery.min.js');
$document->addScript('modules/mod_noo_gallery/assets/js/bootstrap-image-gallery.js');
$document->addStyleSheet('modules/mod_noo_gallery/assets/css/blueimp-gallery.min.css');
$document->addStyleSheet('modules/mod_noo_gallery/assets/css/bootstrap-image-gallery.css');
$document->addStyleSheet('modules/mod_noo_gallery/assets/css/style.css');
$document->addScriptDeclaration('
jQuery(document).ready(function($){
	blueimp.Gallery($("#noo-gallery-lists li a"), $("#blueimp-gallery").data());
});
');
require (JModuleHelper::getLayoutPath('mod_noo_gallery',$params->get('layout', 'default')));