<?php
/**
 * @version		$Id$
 * @author		NooTheme
 * @package		Joomla.Site
 * @subpackage	mod_noo_gallery
 * @copyright	Copyright (C) 2013 NooTheme. All rights reserved.
 * @license		License GNU General Public License version 2 or later; see LICENSE.txt, see LICENSE.php
 */


// no direct access
defined('_JEXEC') or die('Restricted access'); 
?>

<div id="gallery<?php echo $params->get('moduleclass_sfx');?>" class="noo-gallery<?php echo $params->get('moduleclass_sfx');?> clearfix">
	<ul class="noo-gallery-lists">
	<?php 
	$imagesJSON = new stdClass();
	if ($params->get('data_source.images')){
		$imagesJSON = json_decode($params->get('data_source.images'));
	}
	$folder = $params->get('data_source.folder');
	$images = array();
	foreach ($imagesJSON as $img){
		$images[$img->position] = $img;
	}
	ksort($images);
	foreach ($images as $k=>$image){
		
		if ($params->get('thumbnail_mode') != 'none'){
			$imageCache = modNooGalleryHelper::renderImage($folder.'/'.$image->image, $params);
		}else{
			$imageCache = JUri::base(true).'/'.$folder.'/'.$image->image;
		}
		
	?>
	<li class="noo-gallery-item">
		<a href="<?php echo JURI::root(true).'/'.$folder.'/'.$image->image ?>" data-url = "<?php echo $image->link ;?>"  data-description="<?php echo htmlspecialchars($image->description) ;?>" data-gallery="gallery" title="<?php echo $image->title ?>"><img class="img-polaroid" src="<?php echo $imageCache ?>"  alt="<?php echo $image->title;?>" /></a>
		<?php if($params->get('description_and_title') && ($image->title || $image->description)): ?>	
			<div class="noo-gallery-item-info">
				<?php if($image->title != ""):?>			
		        <h2><a  href="<?php echo $image->link;?>" title="<?php echo $image->title ?>"><?php echo $image->title;?></a></h2>
				<?php endif;?>
				<?php if($image->description != ""):?>	
			    	<div><?php echo htmlspecialchars_decode($image->description);?></div>
				<?php endif ?>
			</div>
		<?php endif; ?>
	</li>
	<?php 	
	}
	?>
	</ul>
</div>
<div id="blueimp-gallery" class="blueimp-gallery">
    <div class="slides"></div>
    <h3 class="title"></h3>
    <a class="prev">‹</a>
    <a class="next">›</a>
    <a class="close">×</a>
    <a class="play-pause"></a>
    <ol class="indicator"></ol>
    <div class="modal fade">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" aria-hidden="true">&times;</button>
                    <h4 class="modal-title"></h4>
                    <div class="model-desc"></div>
                </div>
                <div class="modal-body next"></div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default pull-left prev">
                        <i class="fa fa-chevron-left"></i>
                        <?php echo JText::_('MOD_NOO_GALLERY_PREVIOUS') ?>
                    </button>
                    <button type="button" class="btn btn-primary next">
                        <?php echo JText::_('MOD_NOO_GALLERY_NEXT') ?>
                        <i class="fa fa-chevron-right"></i>
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>