<?php
/**
 * @version		$Id$
 * @author		NooTheme
 * @package		Joomla.Site
 * @subpackage	mod_noo_slider2
 * @copyright	Copyright (C) 2013 NooTheme. All rights reserved.
 * @license		License GNU General Public License version 2 or later; see LICENSE.txt, see LICENSE.php
 */
// no direct access
defined('_JEXEC') or die('Restricted access');
?>
<div id="noo_s2<?php echo $module->id ?>" class="noo-s2<?php echo $params->get('moduleclass_sfx'); ?>" >
	<?php if ($params->get('show_buttons_control',1)):?>
	<div class="noo-s2-control">
		<a href="javascript:void(0)" class="cs-btn prev">Prev</a>
		<a href="javascript:void(0)" class="cs-btn next">Next</a>
	</div>
	<?php endif;?>
	<div class="noo-s2-inner clearfix"> 
	<?php if (isset($lists) && count($lists) > 0) : ?>
		<ul>
		<?php foreach ($lists as $list): ?>
				<li  class="item">
					<div class="noo-n2-slider">
						<?php if (($params->get('show_image', 1) && $list->image) || $params->get('display_form','joomla_content') == 'folder_image') : ?>
						<div class="noo-s2-image">
							<?php echo $list->image; ?>
						</div>
						<?php endif; ?>
						<?php //if(strtolower($params->get('display_form', 'joomla_content')) != 'folder_image'){?>
						<div class="noo-s2-info">
						<?php if ($params->get('show_title', 1)): ?>
								<?php if ($params->get('linked_title', 1)): ?>
									<h2><a href="<?php echo $list->link ?>" title="<?php echo $list->title ?>"><span><?php echo $list->title ?></span></a></h2>
								<?php else : ?>
									<span><?php echo $list->title ?></span>
								<?php endif; ?>
							<?php endif; ?>
							<?php if ($params->get('show_des', 1) && $list->description != ''): ?>
								<div><?php echo htmlspecialchars_decode($list->description) ?></div>
							<?php endif; ?>
							<?php if ($params->get('show_readmore', 1)): ?>
								<a class="" href="<?php echo $list->link ?>" title="<?php echo $params->get('readmore_text', 'Readmore') ?>"><?php echo $params->get('readmore_text', 'Readmore') ?></a>
							<?php endif; ?>
						</div>
						<?php //} ?>
					</div>
				</li>
		<?php endforeach; ?>
		</ul>
	<?php endif; ?>
	</div>
</div>