<?php
/**
 * @version		$Id: default.php 1812 2013-01-14 18:45:06Z lefteris.kavadas $
 * @package		K2
 * @author		JoomlaWorks http://www.joomlaworks.net
 * @copyright	Copyright (c) 2006 - 2013 JoomlaWorks Ltd. All rights reserved.
 * @license		GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 */

// no direct access
defined('_JEXEC') or die;

?>

<div id="content-home3" class="k2UsersBlock-users<?php if($params->get('moduleclass_sfx')) echo ' '.$params->get('moduleclass_sfx'); ?>">
	<ul id="slider">
		<?php foreach($users as $key=>$user): ?>
		<li <?php if(count($users)==$key+1) echo 'class=lastItem'; ?>>
			<div class="main-content-home3">
				<?php if($userAvatar && !empty($user->avatar)): ?>
				<p class="img-content">
					<a class="k2Avatar-user" rel="author" href="<?php echo $user->link; ?>" title="<?php echo K2HelperUtilities::cleanHtml($user->name); ?>">
						<img src="<?php echo $user->avatar; ?>" alt="<?php echo K2HelperUtilities::cleanHtml($user->name); ?>" />
					</a>
				</p>
				<?php endif; ?>

				<?php if($userName): ?>
				<p class="title-box">
					<a class="ubUserName" rel="author" href="<?php echo $user->link; ?>" title="<?php echo K2HelperUtilities::cleanHtml($user->name); ?>">
						<?php echo $user->name; ?>
					</a>
				</p>
				<?php endif; ?>

				<?php if($userDescription && $user->description): ?>
				<h4>
					<?php if($userDescriptionWordLimit): ?>
					<?php echo K2HelperUtilities::wordLimit($user->description, $userDescriptionWordLimit) ?>
					<?php else: ?>
					<?php echo $user->description; ?>
					<?php endif; ?>
				</h4>
				<?php endif; ?>
			</div>
		</li>
		<?php endforeach; ?>
	</ul>
</div>
