<?php
/**
 * @version		$Id$
 * @author		NooTheme
 * @package		Joomla.Site
 * @subpackage	mod_noo_contentslider
 * @copyright	Copyright (C) 2013 NooTheme. All rights reserved.
 * @license		License GNU General Public License version 2 or later; see LICENSE.txt, see LICENSE.php
 */
// no direct access
defined('_JEXEC') or die('Restricted access');
?>
<?php
$visible = $params->get('visible', 1);
$countList = count($lists);
$indicators = '';
?>
<div id="noo-cs-<?php echo $module->id ?>" class="noo-cs<?php echo $params->get('moduleclass_sfx'); ?> <?php echo $params->get('slide_mode') ?>" >
	<?php if ($params->get('show_buttons_control', 1)): ?>
		<div class="noo-cs-control">
			<a href="javascript:void(0)" class="cs-btn prev">Prev</a>
			<a href="javascript:void(0)" class="cs-btn next">Next</a>
		</div>
	<?php endif; ?>
	<div class="noo-cs-main-wrap"> 
		<?php if (isset($lists) && count($lists) > 0) : ?>
			<div class="noo-cs-inner">
				<div class="cs-group-inner">
					<?php $i = 0;
					foreach ($lists as $list): ?>
						<?php if ($i++ % $visible == 0): ?>
							<div class="noo-cs-group">
							<?php endif; ?>
							<div  class="noo-cs-item" style="width:<?php echo round(100 / $visible,4) ?>%">
								<div class="cs-item-inner">
									<?php if (($params->get('show_image', 1) && $list->image) || $params->get('display_form','joomla_content') == 'folder_image') : ?>
										<div class="item-image">
											<?php echo $list->image ?>
										</div>
									<?php endif; ?>
									<?php //if(strtolower($params->get('display_form', 'joomla_content')) != 'folder_image'){?>
									<div class="item-info">
										<?php if ($params->get('show_title', 1)): ?>
											<?php if ($params->get('linked_title', 1)): ?>
												<h2><a class="cs-title" href="<?php echo $list->link ?>" title="<?php echo $list->title ?>"><span><?php echo $list->rtitle ?></span></a></h2>
											<?php else : ?>
												<span><?php echo $list->rtitle ?></span>
											<?php endif; ?>
										<?php endif; ?>
										<?php if ($params->get('show_des', 1) && $list->description != ''): ?>
											<p><?php echo $list->description ?></p>
										<?php endif; ?>
										<?php if ($params->get('display_form','joomla_content') != 'folder_image' && $params->get('show_created',0)){?>
											<span class="cs-created"><?php echo JText::_('MOD_NOO_CONTENTSLIDER_CREATED')?>: <?php echo JHtml::_('date',$list->created,'l, m/d/Y')?></span>
										<?php } ?>
										
										<?php if($params->get('display_form','joomla_content') == 'k2'){?>
											<?php if ($params->get('show_comment',0)){?>
												<?php if($list->num_comments > 0): ?>
												<a class="cs-comment" href="<?php echo $list->link.'#itemCommentsAnchor'; ?>">
													<?php echo $list->num_comments; ?> <?php if($list->num_comments>1) echo JText::_('MOD_NOO_CONTENTSLIDER_COMMENTS'); else echo JText::_('MOD_NOO_CONTENTSLIDER_COMMENT'); ?>
												</a>
												<?php else: ?>
												<a class="cs-comment" href="<?php echo $list->link.'#itemCommentsAnchor'; ?>">
													<?php echo JText::_('MOD_NOO_CONTENTSLIDER_BE_THE_FIRST_TO_COMMENT'); ?>
												</a>
												<?php endif; ?>
											<?php } ?>
											<?php if ($params->get('show_rate',0)){?>
											<span class="cs-rate">
												<span class="cs-rating">
													<span style="width:<?php echo $list->votingPercentage ?>%" class="cs-rate-current"></span>
												</span>
											</span>
											<?php } ?>
										<?php  } ?>
										
										<?php if ($params->get('show_readmore', 1)): ?>
											<div class="cs-readmore">
											<a class="readmore" href="<?php echo $list->link ?>" title="<?php echo $params->get('readmore_text', 'Readmore') ?>"><?php echo $params->get('readmore_text', 'Readmore') ?></a>
											</div>
										<?php endif; ?>
									</div>
									<?php //} ?>
								</div>
							</div>
							<?php if ($i % $visible == 0 || $i == $countList): ?>
							</div>
						<?php endif; ?>
					<?php endforeach; ?>
				</div>
			</div>
		<?php endif; ?>
	</div>
	<?php if ($params->get('show_pager_control', 1)): ?>
		<div class="noo-cs-pager">
			<?php if (isset($lists) && count($lists) > 0) : ?>
				<ol class="cs-indicators">
					<?php $j = 0;
					$t = 0;
					foreach ($lists as $list): ?>
					<?php if ($j++ % $visible == 0): ?><li data-cs-to="<?php echo $t ?>"><?php echo $t + 1 ?><?php endif; ?><?php if ($j % $visible == 0 || $j == $countList): ?></li> <?php $t++;
					endif; ?>
			<?php endforeach; ?>
				</ol>
	<?php endif; ?>
		</div>
<?php endif; ?>
</div>