<?php

/**
 * @version		$Id$
 * @author		NooTheme
 * @package		Joomla.Site
 * @subpackage	mod_noo_slider
 * @copyright	Copyright (C) 2013 NooTheme. All rights reserved.
 * @license		License GNU General Public License version 2 or later; see LICENSE.txt, see LICENSE.php
 */
// no direct access
defined('_JEXEC') or die('Restricted access');
require_once __DIR__ . '/helper.php';

$lists = modNooSliderHelper::getList($params);

$document	= JFactory::getDocument();

//include css
$document->addStyleSheet('modules/mod_noo_slider/assets/css/style.css');
//Include js
if (!defined('NOO_JS_EASING')) {
	$document->addScript('modules/mod_noo_slider/assets/js/jquery.easing.1.3.js');
	define('NOO_JS_EASING', true);
}
$document->addScript('modules/mod_noo_slider/assets/js/script.js');
$modeArr		= array();
$mode			= $params->get('slide_mode', 'horizontal_left');
$image_slider	= $params->get('display_form') == 'folder_image' ? '1' : '0';
$modeArr		= explode('_', $mode);
$visible		= ($params->get('visible', 1) > count($lists) ) ? count($lists) : $params->get('visible', 1);

$jsObject = "
	jQuery(document).ready(function($){
		$('#noo_slider" . $module->id . "').nooSliderLite({
			btnPrev: '#btn_prev" . $module->id . "',
	        btnNext: '#btn_next" . $module->id . "',
	        btnGo: null,
	        auto: " . $params->get('autorun', 0) . ",
	        interval: " . $params->get('animation_interval', 5000) . ",
	        speed: " . $params->get('animation_speed', 1000) . ",
	        easing: '" . $params->get('animation_transition', 'swing') . "',
	        vertical: " . ($modeArr[0] == 'vertical' ? 'true' : 'false') . ",
	        direction:'" . $modeArr[1] . "',
	        visible: " . $visible . ",
			image_slider: ". $image_slider .",
			thumbHeight: ". $params->get('image_height', 100) ."
	       });
	});
";
$document->addScriptDeclaration($jsObject);
require (JModuleHelper::getLayoutPath('mod_noo_slider',$params->get('layout', 'default')));