<?php
/**
 * @version		$Id$
 * @author		NooTheme
 * @package		Joomla.Site
 * @subpackage	mod_noo_slider
 * @copyright	Copyright (C) 2013 NooTheme. All rights reserved.
 * @license		License GNU General Public License version 2 or later; see LICENSE.txt, see LICENSE.php
 */
// no direct access
defined('_JEXEC') or die('Restricted access');
?>
<div id="noo_slider<?php echo $module->id ?>" class="noo-slider<?php echo $params->get('moduleclass_sfx'); ?> <?php echo $modeArr[0] ?><?php echo ($params->get('display_form') == 'folder_image') ? ' image-slider' : ''; ?>" >
<?php if ($params->get('show_buttons_control', 1)): ?>
		<div class="noo-slider-control">
			<a id="btn_next<?php echo $module->id ?>" href="javascript:void(0)" class="noo-slider-btn btn-next">Next</a>
			<a id="btn_prev<?php echo $module->id ?>" href="javascript:void(0)" class="noo-slider-btn btn-prev">Prev</a>
		</div>
<?php endif; ?>
	<div id="wapper" class="noo-slider-wapper"> 
	<?php if (isset($lists) && count($lists) > 0) : ?>
			<ul class="noo-slider-inner">
			<?php foreach ($lists as $list): ?>
					<li  class="noo-slider-item">
						<div class="noo-content-slider">
								<?php if (($params->get('show_image', 1) && $list->image) || $params->get('display_form','joomla_content') == 'folder_image') : ?>
								<div class="noo-slider-image">
									<?php echo $list->image; ?>
								</div>
								<?php endif; ?>
								<?php //if(strtolower($params->get('display_form', 'joomla_content')) != 'folder_image'){?>
								<div class="noo-slider-info">
									<?php if ($params->get('show_title', 1)): ?>
										<?php if ($params->get('linked_title', 1)): ?>
											<h2><a href="<?php echo $list->link ?>" title="<?php echo $list->title ?>"><span><?php echo $list->title ?></span></a></h2>
										<?php else : ?>
											<span><?php echo $list->title ?></span>
										<?php endif; ?>
									<?php endif; ?>
									<?php if ($params->get('show_des', 1) && $list->description != ''): ?>
										<div><?php echo htmlspecialchars_decode($list->description) ?></div>
									<?php endif; ?>
									<?php if ($params->get('show_readmore', 1) && ($params->get('display_form') != "folder_image")): ?>
										<a class="" href="<?php echo $list->link ?>" title="<?php echo $params->get('readmore_text', 'Readmore') ?>"><?php echo $params->get('readmore_text', 'Readmore') ?></a>
									<?php endif; ?>
								</div>
							<?php //} ?>
						</div>
					</li>
	<?php endforeach; ?>
			</ul>
			<?php endif; ?>
	</div>
</div>