<?php
/**
 * @version		$Id$
 * @author		NooTheme
 * @package		Joomla.Site
 * @subpackage	mod_noo_slider2
 * @copyright	Copyright (C) 2013 NooTheme. All rights reserved.
 * @license		License GNU General Public License version 2 or later; see LICENSE.txt, see LICENSE.php
 */
// no direct access
defined('_JEXEC') or die('Restricted access');
require_once __DIR__ . '/helper.php';

$lists = modNooSlider2Helper::getList($params);

$document	= JFactory::getDocument();

//include css
$document->addStyleSheet('modules/mod_noo_slider2/assets/css/style.css');
//Include js
if (!defined('NOO_JS_EASING')) {
	$document->addScript('modules/mod_noo_slider2/assets/js/jquery.easing.1.3.js');
	define('NOO_JS_EASING', true);
}
$document->addScript('modules/mod_noo_slider2/assets/js/script.js');
$modeArr		= array();
$mode			= $params->get('slide_mode', 'horizontal_left');
$image_slider	= $params->get('display_form') == 'folder_image' ? '1' : '0';
$modeArr		= explode('_', $mode);
$visible		= ($params->get('visible', 1) > count($lists) ) ? count($lists) : $params->get('visible', 1);
$js = "
jQuery(document).ready(function($){
	$('#noo_s2" . $module->id . "').nooslider2({
		 auto: " . $params->get('autorun', 0) . ",
		 speed: " . $params->get('animation_speed', 1000) . ",
		 interval: " . $params->get('animation_interval', 5000) . ",
		 easing: '" . $params->get('animation_transition', 'swing') . "'
	});
});
";
$document->addScriptDeclaration($js);
require (JModuleHelper::getLayoutPath('mod_noo_slider2',$params->get('layout', 'default')));