<?php
/**
 * @version		$Id$
 * @author		NooTheme
 * @package		Joomla.Site
 * @subpackage	mod_noo_weather
 * @copyright	Copyright (C) 2013 NooTheme. All rights reserved.
 * @license		License GNU General Public License version 2 or later; see LICENSE.txt, see LICENSE.php
 */

// no direct access
defined('_JEXEC') or die('Restricted access'); 

$document = JFactory::getDocument();

$document->addScript('modules/mod_noo_weather/assets/js/script.js');
$document->addStyleSheet('modules/mod_noo_weather/assets/css/style.css');
$cityArr = explode("\n",trim($params->get('citycode','UKXX0085:London')));

$js = "
jQuery(document).ready(function(){
	jQuery('#noo_weather_{$module->id}').nooweather({
		unit: '{$params->get('unit','c')}',
		image: {$params->get('image',1)},
		country: {$params->get('country',0)},
		highlow:  {$params->get('highlow',1)},
		wind: {$params->get('wind',1)},
		humidity: {$params->get('humidity',0)},
		visibility:  {$params->get('visibility',0)},
		sunrise:  {$params->get('sunrise',0)},
		sunset: {$params->get('sunset',0)},
		forecast: {$params->get('forecast',0)},
		link: {$params->get('link',0)},
		showerror:true,
		linktarget: '_blank',
		woeid:  {$params->get('woeid',0)}
	})
});
";
$document->addScriptDeclaration($js);
require (JModuleHelper::getLayoutPath('mod_noo_weather',$params->get('layout', 'default')));