<?php
/**
 * @version		$Id: comments.php 1812 2013-01-14 18:45:06Z lefteris.kavadas $
 * @package		K2
 * @author		JoomlaWorks http://www.joomlaworks.net
 * @copyright	Copyright (c) 2006 - 2013 JoomlaWorks Ltd. All rights reserved.
 * @license		GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 */

// no direct access
defined('_JEXEC') or die;

?>

<div id="k2ModuleBox<?php echo $module->id; ?>" class="k2LatestCommentsBlock recents-comment<?php if($params->get('moduleclass_sfx')) echo ' '.$params->get('moduleclass_sfx'); ?>">

	<?php if(count($comments)): ?>
		<?php foreach ($comments as $key=>$comment):	?>
		<div class="box-comment">
			<?php if($comment->userImage): ?>
			<a class="box-comment-image" href="<?php echo $comment->link; ?>" title="<?php echo K2HelperUtilities::cleanHtml($comment->commentText); ?>">
				<img src="<?php echo $comment->userImage; ?>" alt="<?php echo JFilterOutput::cleanText($comment->userName); ?>" style="width:<?php echo $lcAvatarWidth; ?>px;height:68px; display:block;" />
			</a>
			<?php endif; ?>
			

			<h4 class="comment-content-title">
				<a href="<?php echo $comment->itemLink; ?>"><?php echo $comment->title; ?></a>
			</h4>

			
			<?php if($params->get('commentLink')): ?>
			<p class="comment-content-description">
				<?php echo $comment->commentText; ?>
			</p>
			<?php endif; ?>
			
			<p class="comment-read-more">
				<a href="<?php echo $comment->itemLink; ?>">view article</a>
			</p>

		</div>
		<?php endforeach; ?>
	<?php endif; ?>

</div>
