<?php
/**
 * @version		$Id: default.php 1812 2013-01-14 18:45:06Z lefteris.kavadas $
 * @package		K2
 * @author		JoomlaWorks http://www.joomlaworks.net
 * @copyright	Copyright (c) 2006 - 2013 JoomlaWorks Ltd. All rights reserved.
 * @license		GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 */

// no direct access
defined('_JEXEC') or die;
?>

<div id="k2ModuleBox<?php echo $module->id; ?>" class="k2ItemsBlock<?php if($params->get('moduleclass_sfx')) echo ' '.$params->get('moduleclass_sfx'); ?>">


	<?php if(count($items)): ?>
	<?php 
		$i = 0;
		$class_title	= '';
		$class_link	= '';
	?>
    <?php foreach ($items as $key=>$item):	?>
	<?php 
	if($item->featured == 1){
		$string=$item->introtext;
		$string=substr($string,0,100);
	?>
	
	<?php 
		if($i == 0) {
			$class_title = 'leadding';
			$class_link	= 'leadding-title';
		} elseif($i == 1||$i == 2) {
			$class_title	= 'leadding-top2';
			$class_link		= 'leadding-top2';
		} else {
			$class_title	= 'link-more';
			$class_link	= 'link-more';
		}
		$i ++;
		
	?>
	<div class="<?php echo $class_title;?>">

		<?php echo $item->event->BeforeDisplay; ?>
		<?php echo $item->event->K2BeforeDisplay; ?>
		
		<?php if($key == 0 || $key == 1 || $key == 2){?>
		<?php if($params->get('itemImage')): ?>
			<?php if($params->get('itemImage') && isset($item->image)): ?>
			<p class="box-image-leadding">
				<img src="<?php echo $item->image; ?>" alt="<?php echo K2HelperUtilities::cleanHtml($item->title); ?>"/>
			</p>
			<?php endif; ?>
		<?php endif; ?>
		<?php }?>
		
		<?php if($key == 0){?>
		<?php if($params->get('itemDateCreated')): ?>
		<span class="moduleItemDateCreated">
			<?php echo JHTML::_('date', $item->created, JText::_('K2_DATE_FORMAT_LC2')); ?>
		</span>
		<?php endif; ?>
		<?php }?>
		
		<?php if($params->get('itemTitle')): ?>
		<h4 class="title-box-leadding">
			<a class="moduleItemTitle" href="<?php echo $item->link; ?>"><?php echo $item->title; ?></a>
		</h4>
		<?php endif; ?>

		<?php echo $item->event->AfterDisplayTitle; ?>
		<?php echo $item->event->K2AfterDisplayTitle; ?>
		<?php echo $item->event->BeforeDisplayContent; ?>
		<?php echo $item->event->K2BeforeDisplayContent; ?>
		
		<?php if($key == 0 || $key == 1 || $key == 2){?>
		<?php if($params->get('itemIntroText')): ?>
		<div class="box-description">
		<?php echo $string; ?>
		</div>
		<?php endif; ?>
		<?php }?>

		<?php echo $item->event->AfterDisplayContent; ?>
		<?php echo $item->event->K2AfterDisplayContent; ?>
		<?php echo $item->event->AfterDisplay; ?>
		<?php echo $item->event->K2AfterDisplay; ?>
	</div>
	<?php }?>
    <?php endforeach; ?>

  <?php endif; ?>


</div>
