<?php
/**
 * @version		$Id: default.php 1812 2013-01-14 18:45:06Z lefteris.kavadas $
 * @package		K2
 * @author		JoomlaWorks http://www.joomlaworks.net
 * @copyright	Copyright (c) 2006 - 2013 JoomlaWorks Ltd. All rights reserved.
 * @license		GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 */

// no direct access
defined('_JEXEC') or die;
?>

<div id="most-popular" class="k2ItemsBlock-popular<?php if($params->get('moduleclass_sfx')) echo ' '.$params->get('moduleclass_sfx'); ?>">

	<?php if(count($items)): ?>

	<ul class="popular">
		<?php foreach ($items as $key=>$item):	?>
		<li <?php if($key == 0) echo 'class="firt-item"';?>>

		<?php echo $item->event->BeforeDisplay; ?>
		<?php echo $item->event->K2BeforeDisplay; ?>
		
		<?php if($key == 0){?>
			<?php if($params->get('itemImage') || $params->get('itemIntroText')): ?>
			<div class="img-popular">
				<?php if($params->get('itemImage') && isset($item->image)): ?>
				<a class="moduleItemImage" href="<?php echo $item->link; ?>" title="<?php echo JText::_('K2_CONTINUE_READING'); ?> &quot;<?php echo K2HelperUtilities::cleanHtml($item->title); ?>&quot;">
					<img src="<?php echo $item->image; ?>" alt="<?php echo K2HelperUtilities::cleanHtml($item->title); ?>"/>
				</a>
				<?php endif; ?>
			</div>
			<?php endif; ?>
		<?php }?>
		
		<?php if($key != 0){?>
			<?php if($params->get('itemTitle')): ?>
			<a class="item-title-popular" href="<?php echo $item->link; ?>"><?php echo $item->title; ?></a>
			<?php endif; ?>
		<?php }?>

		<?php echo $item->event->AfterDisplayTitle; ?>
		<?php echo $item->event->K2AfterDisplayTitle; ?>
		<?php echo $item->event->BeforeDisplayContent; ?>
		<?php echo $item->event->K2BeforeDisplayContent; ?>

		<?php echo $item->event->AfterDisplayContent; ?>
		<?php echo $item->event->K2AfterDisplayContent; ?>

		<?php echo $item->event->AfterDisplay; ?>
		<?php echo $item->event->K2AfterDisplay; ?>

		</li>
		<?php endforeach; ?>
	</ul>
  <?php endif; ?>

</div>
