<?php
/**
 * @version		$Id: default.php 1812 2013-01-14 18:45:06Z lefteris.kavadas $
 * @package		K2
 * @author		JoomlaWorks http://www.joomlaworks.net
 * @copyright	Copyright (c) 2006 - 2013 JoomlaWorks Ltd. All rights reserved.
 * @license		GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 */

// no direct access
defined('_JEXEC') or die;
?>

<div id="k2ModuleBoxvideo" class="k2ItemsBlock<?php if($params->get('moduleclass_sfx')) echo ' '.$params->get('moduleclass_sfx'); ?>">

	<?php if($params->get('itemPreText')): ?>
	<p class="modulePretext"><?php echo $params->get('itemPreText'); ?></p>
	<?php endif; ?>

	<?php if(count($items)): ?>
	<?php 
	for($i=0;$i<count($items);$i++){
		if($i == 0){
		$string=$items[$i]->introtext;
		$string=substr($string,0,100);
		?>
		<div class="list-item-featured">
			<div class="main-list-item-featured">
			
				<?php if($params->get('itemVideo')): ?>
				<div class="moduleItemVideo">
					<?php echo $items[$i]->video ; ?>
					<span class="moduleItemVideoCaption"><?php echo $items[$i]->video_caption ; ?></span>
					<span class="moduleItemVideoCredits"><?php echo $items[$i]->video_credits ; ?></span>
				</div>
				<?php endif; ?>
				
				<?php if($params->get('itemImage') && isset($items[$i]->image)): ?>
				<a class="moduleItemVideo" href="<?php echo $items[$i]->link; ?>" title="<?php echo JText::_('K2_CONTINUE_READING'); ?> &quot;<?php echo K2HelperUtilities::cleanHtml($items[$i]->title); ?>&quot;">
					<img src="<?php echo $items[$i]->image; ?>" alt="<?php echo K2HelperUtilities::cleanHtml($items[$i]->title); ?>"/>
				</a>
				<?php endif; ?>
				
				<?php if($params->get('itemTitle')): ?>
				<h4><a class="moduleItemTitle" href="<?php echo $items[$i]->link; ?>"><?php echo $items[$i]->title; ?></a></h4>
				<?php endif; ?>
				
				<?php if($params->get('itemIntroText')): ?>
				<div class="introtext-featured">
				<?php echo $string; ?>...
				</div>
				<?php endif; ?>
			</div>
		</div>
		<?php
		}
	}
	?>
	
	<ul id="list-items">
		<div class="main-list-items">
			<?php foreach ($items as $key=>$item):	?>
			<?php 
			$string_list=$item->introtext;
			$string_list=substr($string_list,0,50);
			if($key != 0){
			?>
			<li class="<?php echo ($key%2) ? "odd" : "even"; if(count($items)==$key+1) echo ' lastItem'; ?>">

			<!-- Plugins: BeforeDisplay -->
			<?php echo $item->event->BeforeDisplay; ?>

			<!-- K2 Plugins: K2BeforeDisplay -->
			<?php echo $item->event->K2BeforeDisplay; ?>

			<?php if($params->get('itemAuthorAvatar')): ?>
			<a class="k2Avatar moduleItemAuthorAvatar" rel="author" href="<?php echo $item->authorLink; ?>">
				<img src="<?php echo $item->authorAvatar; ?>" alt="<?php echo K2HelperUtilities::cleanHtml($item->author); ?>" style="width:<?php echo $avatarWidth; ?>px;height:auto;" />
			</a>
			<?php endif; ?>
	  
			<?php if($params->get('itemVideo')): ?>
			<div class="moduleItemVideo">
				<?php echo $item->video ; ?>
				<span class="moduleItemVideoCaption"><?php echo $item->video_caption ; ?></span>
				<span class="moduleItemVideoCredits"><?php echo $item->video_credits ; ?></span>
			</div>
			<?php endif; ?>
			
			<?php if($params->get('itemImage') && isset($item->image)): ?>
			<a class="moduleItemVideo" href="<?php echo $item->link; ?>" title="<?php echo JText::_('K2_CONTINUE_READING'); ?> &quot;<?php echo K2HelperUtilities::cleanHtml($item->title); ?>&quot;">
				<img src="<?php echo $item->image; ?>" alt="<?php echo K2HelperUtilities::cleanHtml($item->title); ?>"/>
			</a>
			<?php endif; ?>

			<?php if($params->get('itemTitle')): ?>
			<h4><a class="moduleItemTitle" href="<?php echo $item->link; ?>"><?php echo $item->title; ?></a></h4>
			<?php endif; ?>

			<?php if($params->get('itemAuthor')): ?>
			<div class="moduleItemAuthor">
				<?php echo K2HelperUtilities::writtenBy($item->authorGender); ?>
	
				<?php if(isset($item->authorLink)): ?>
				<a rel="author" title="<?php echo K2HelperUtilities::cleanHtml($item->author); ?>" href="<?php echo $item->authorLink; ?>"><?php echo $item->author; ?></a>
				<?php else: ?>
				<?php echo $item->author; ?>
				<?php endif; ?>
				
				<?php if($params->get('userDescription')): ?>
				<?php echo $item->authorDescription; ?>
				<?php endif; ?>
				
			</div>
			<?php endif; ?>

			<!-- Plugins: AfterDisplayTitle -->
			<?php echo $item->event->AfterDisplayTitle; ?>

			<!-- K2 Plugins: K2AfterDisplayTitle -->
			<?php echo $item->event->K2AfterDisplayTitle; ?>

			<!-- Plugins: BeforeDisplayContent -->
			<?php echo $item->event->BeforeDisplayContent; ?>

			<!-- K2 Plugins: K2BeforeDisplayContent -->
			<?php echo $item->event->K2BeforeDisplayContent; ?>

			<?php if($params->get('itemIntroText')): ?>
			<div class="moduleItemIntrotext">
				<?php if($params->get('itemIntroText')): ?>
					<?php echo $string_list; ?>
				<?php endif; ?>
			</div>
			<?php endif; ?>

		<?php if($params->get('itemExtraFields') && count($item->extra_fields)): ?>
		<div class="moduleItemExtraFields">
			<b><?php echo JText::_('K2_ADDITIONAL_INFO'); ?></b>
			<ul>
	        <?php foreach ($item->extra_fields as $extraField): ?>
					<?php if($extraField->value != ''): ?>
					<li class="type<?php echo ucfirst($extraField->type); ?> group<?php echo $extraField->group; ?>">
						<?php if($extraField->type == 'header'): ?>
						<h4 class="moduleItemExtraFieldsHeader"><?php echo $extraField->name; ?></h4>
						<?php else: ?>
						<span class="moduleItemExtraFieldsLabel"><?php echo $extraField->name; ?></span>
						<span class="moduleItemExtraFieldsValue"><?php echo $extraField->value; ?></span>
						<?php endif; ?>
						<div class="clr"></div>
					</li>
					<?php endif; ?>
	        <?php endforeach; ?>
			</ul>
		</div>
		<?php endif; ?>

		<!-- Plugins: AfterDisplayContent -->
		<?php echo $item->event->AfterDisplayContent; ?>

		<!-- K2 Plugins: K2AfterDisplayContent -->
		<?php echo $item->event->K2AfterDisplayContent; ?>

		<?php if($params->get('itemDateCreated')): ?>
		<span class="moduleItemDateCreated"><?php echo JText::_('K2_WRITTEN_ON') ; ?> <?php echo JHTML::_('date', $item->created, JText::_('K2_DATE_FORMAT_LC2')); ?></span>
		<?php endif; ?>

		<?php if($params->get('itemCategory')): ?>
		<?php echo JText::_('K2_IN') ; ?> <a class="moduleItemCategory" href="<?php echo $item->categoryLink; ?>"><?php echo $item->categoryname; ?></a>
		<?php endif; ?>

		<?php if($params->get('itemTags') && count($item->tags)>0): ?>
		<div class="moduleItemTags">
			<b><?php echo JText::_('K2_TAGS'); ?>:</b>
			
			<?php foreach ($item->tags as $tag): ?>
			<a href="<?php echo $tag->link; ?>"><?php echo $tag->name; ?></a>
			<?php endforeach; ?>
		</div>
		<?php endif; ?>

		<?php if($params->get('itemAttachments') && count($item->attachments)): ?>
			<div class="moduleAttachments">
				<?php foreach ($item->attachments as $attachment): ?>
				<a title="<?php echo K2HelperUtilities::cleanHtml($attachment->titleAttribute); ?>" href="<?php echo $attachment->link; ?>"><?php echo $attachment->title; ?></a>
				<?php endforeach; ?>
			</div>
		<?php endif; ?>

		<?php if($params->get('itemCommentsCounter') && $componentParams->get('comments')): ?>		
			<?php if(!empty($item->event->K2CommentsCounter)): ?>
				<!-- K2 Plugins: K2CommentsCounter -->
				<?php echo $item->event->K2CommentsCounter; ?>
				<?php else: ?>
				<?php if($item->numOfComments>0): ?>
				<a class="moduleItemComments" href="<?php echo $item->link.'#itemCommentsAnchor'; ?>">
					<?php echo $item->numOfComments; ?> <?php if($item->numOfComments>1) echo JText::_('K2_COMMENTS'); else echo JText::_('K2_COMMENT'); ?>
				</a>
				<?php else: ?>
				<a class="moduleItemComments" href="<?php echo $item->link.'#itemCommentsAnchor'; ?>">
					<?php echo JText::_('K2_BE_THE_FIRST_TO_COMMENT'); ?>
				</a>
				<?php endif; ?>
			<?php endif; ?>
		<?php endif; ?>

		<?php if($params->get('itemHits')): ?>
		<span class="moduleItemHits">
			<?php echo JText::_('K2_READ'); ?> <?php echo $item->hits; ?> <?php echo JText::_('K2_TIMES'); ?>
		</span>
		<?php endif; ?>

		<?php if($params->get('itemReadMore') && $item->fulltext): ?>
		<a class="moduleItemReadMore" href="<?php echo $item->link; ?>">
			<?php echo JText::_('K2_READ_MORE'); ?>
		</a>
		<?php endif; ?>

		<!-- Plugins: AfterDisplay -->
		<?php echo $item->event->AfterDisplay; ?>

		<!-- K2 Plugins: K2AfterDisplay -->
		<?php echo $item->event->K2AfterDisplay; ?>
    </li>
	<?php }?>
   <?php endforeach; ?>

	</div>
  </ul>
  <?php endif; ?>

</div>
