<?php
/**
 * @version		$Id$
 * @author		NooTheme
 * @package		Joomla.Site
 * @subpackage	mod_noo_k2_categoryitem
 * @copyright	Copyright (C) 2013 NooTheme. All rights reserved.
 * @license		License GNU General Public License version 2 or later; see LICENSE.txt, see LICENSE.php
 */
// no direct access
defined('_JEXEC') or die('Restricted access');
?>
<div id="noo-k2ci-<?php echo $module->id?>" class="noo-k2ci<?php echo $params->get('moduleclass_sfx')?>">
	<div class="category-news">
		<ul class="nav nav-tabs sub-category" id="nooK2CatTab<?php echo $module->id?>">
			<?php $flag = false?>
			<?php foreach ($lists as $item):?>
				<li <?php if (!$flag):?>class="active"<?php endif;?>>
					<a href="<?php echo '#nook2ci'.$module->id.$item->id ?>" data-toggle="tab"><?php echo $item->name?></a>
				</li>
				<?php $flag = true?>
			<?php endforeach;?>
		</ul>
	</div>
	<div id="content-home2">
		<div id="nooK2CatTab<?php echo $module->id?>Content"  class="tab-content">
			<?php $flag = false?>
			<?php for ($z = 0;$z <count($lists);$z++): //foreach ($lists as $list):?>
				<?php $list = $lists[$z];?>
				<div class="tab-pane <?php if (!$flag):?>active<?php endif;?>" id="<?php echo 'nook2ci'.$module->id.$list->id ?>">
				    <?php if (count($list->items) > 0) :?>
					<ul id="home2">
						<li>
						<?php for ($i = 0;$i < $params->get('leading',1);$i++)://foreach ($list->items as $item):?>
							<?php if ($i >= count($list->items)): break; endif;?>
								<?php if(isset($list->items[$i]) &&  ($item = $list->items[$i])):?>
								<div class="home-left">
									<div class="main-category-k2-item">
										<?php if (($image = $item->image)):?>
										<p class="img-home2-left"><a href="<?php echo $item->link?>" title="<?php echo $item->title?>"><img alt="<?php echo $item->title?>" src="<?php echo $image?>"></a></p>
										<?php endif;?>
										<h4 class="home2-title"><a href="<?php echo $item->link?>" title="<?php echo $item->title?>"><?php echo $item->title?></a></h4>
										<div class="home2-desc">
											<p><?php echo $item->description ?></p>
										</div>
									</div>
								</div>
								<?php endif;?>
						<?php endfor;?>
						</li>
						<li>
							<div class="home-right">
								<ul class="more">
									<?php for ($y = $i;$y < $params->get('intro',4);$y++):?>
										<?php if(isset($list->items[$y]) && ($item = $list->items[$y])):?>
										<li>
											<a href="<?php echo $item->link?>"  title="<?php echo $item->title?>"><?php echo $item->title?></a>
										</li>
										<?php endif;?>
									<?php endfor;?>
								</ul>
							</div>
						</li>
					</ul>
					<?php endif;?>
				</div>
				<?php $flag = true?>
			<?php endfor;?>
		</div>
	</div>
</div>