<?php
/**
 * @version		$Id$
 * @author		NooTheme
 * @package		Joomla.Site
 * @subpackage	mod_noo_k2items
 * @copyright	Copyright (C) 2013 NooTheme. All rights reserved.
 * @license		License GNU General Public License version 2 or later; see LICENSE.txt, see LICENSE.php
 */
// no direct access
defined('_JEXEC') or die('Restricted access');
?>
<div class="noo-k2i<?php echo $params->get('moduleclass_sfx')?>">
<?php $i =0; $p = 1;?>
<?php $group = $params->get('group',1);$countList = count($lists);?>
<ul  id="noo-k2i<?php echo $module->id?>">
<?php foreach ($lists as $item):?>
	<?php if ($i++%$group == 0):?>
	<li class="noo-slider-item ">
	<?php endif;?>
	<div class="item">
			<!-- Plugins: BeforeDisplay -->
	      	<?php echo $item->event->BeforeDisplay; ?>
	
	      	<!-- K2 Plugins: K2BeforeDisplay -->
	      	<?php echo $item->event->K2BeforeDisplay; ?>
			
			<?php if($params->get('itemauthoravatar') && $params->get('itemauthor')): ?>
		    <a rel="author" href="<?php echo $item->authorLink; ?>">
				<img src="<?php echo $item->authorAvatar; ?>" alt="<?php echo K2HelperUtilities::cleanHtml($item->author); ?>" style="width:<?php echo $avatarWidth; ?>px;height:auto;" />
			</a>
		    <?php endif; ?>
			
			<?php if($params->get('itemimage') && isset($item->image)): ?>
			<p class="box-image"><a href="<?php echo $item->link?>" title="<?php echo $item->title?>"><img alt="<?php echo $item->title?>" src="<?php echo $item->image; ?>"></a></p>
			<?php endif;?>
			
			 <?php if($params->get('itemtitle')): ?>
			<h4><a href="<?php echo $item->link?>" title="<?php echo $item->title?>"><?php echo $item->title?></a></h4>
			<?php endif;?>
			
			<?php if($params->get('itemauthor')): ?>
      		<div class="box-author">
	      	<?php echo K2HelperUtilities::writtenBy($item->authorGender); ?>
	
				<?php if(isset($item->authorLink)): ?>
				<a rel="author" title="<?php echo K2HelperUtilities::cleanHtml($item->author); ?>" href="<?php echo $item->authorLink; ?>"><?php echo $item->author; ?></a>
				<?php else: ?>
				<?php echo $item->author; ?>
				<?php endif; ?>
				
				<?php if($params->get('userdescription')): ?>
				<?php echo $item->authorDescription; ?>
				<?php endif; ?>
				
			</div>
			<?php endif; ?>
			
			<!-- Plugins: AfterDisplayTitle -->
	      <?php echo $item->event->AfterDisplayTitle; ?>
	
	      <!-- K2 Plugins: K2AfterDisplayTitle -->
	      <?php echo $item->event->K2AfterDisplayTitle; ?>
	
	      <!-- Plugins: BeforeDisplayContent -->
	      <?php echo $item->event->BeforeDisplayContent; ?>
	
	      <!-- K2 Plugins: K2BeforeDisplayContent -->
	      <?php echo $item->event->K2BeforeDisplayContent; ?>
			
		<?php if($params->get('itemintrotext')): ?>
		<p class="box-description"><?php echo $item->introtext; ?></p>
		<?php endif; ?>
		
		<?php if($params->get('itemextrafields') && count($item->extra_fields)): ?>
	     <div class="item-extra">
		      <b><?php echo JText::_('MOD_NOO_K2ITEMS_ADDITIONAL_INFO'); ?></b>
		      <ul>
		        <?php foreach ($item->extra_fields as $extraField): ?>
						<?php if($extraField->value != ''): ?>
						<li class="type<?php echo ucfirst($extraField->type); ?> group<?php echo $extraField->group; ?>">
							<?php if($extraField->type == 'header'): ?>
							<h4 class="extra-name"><?php echo $extraField->name; ?></h4>
							<?php else: ?>
							<span class="extra-name"><?php echo $extraField->name; ?></span>
							<span class="extra-value"><?php echo $extraField->value; ?></span>
							<?php endif; ?>
							<div class="clr"></div>
						</li>
						<?php endif; ?>
		        <?php endforeach; ?>
		      </ul>
	      </div>
	     <?php endif; ?>
	     
		 <?php if($params->get('itemvideo')): ?>
	      <div class="item-video">
	      	<?php echo $item->video ; ?>
	      	<?php if ($params->get('itemvideocaption')){?>
	      	<span class="video-caption"><?php echo $item->video_caption ; ?></span>
	      	<?php } ?>
	      	<?php if ($params->get('itemvideocredits')){?>
	      	<span class="video-credits"><?php echo $item->video_credits ; ?></span>
	      	<?php } ?>
	      </div>
	      <?php endif; ?>
	      
	       <!-- Plugins: AfterDisplayContent -->
      	<?php echo $item->event->AfterDisplayContent; ?>

      	<!-- K2 Plugins: K2AfterDisplayContent -->
      	<?php echo $item->event->K2AfterDisplayContent; ?>
	    
      	<?php if($params->get('itemdatecreated')): ?>
	      <span class="item-created"><?php echo JText::_('MOD_NOO_K2ITEMS_WRITTEN_ON') ; ?> <?php echo JHTML::_('date', $item->created, JText::_('DATE_FORMAT_LC2')); ?></span>
	      <?php endif; ?>
	
	      <?php if($params->get('itemcategory')): ?>
	      <?php echo JText::_('MOD_NOO_K2ITEMS_IN') ; ?> <a href="<?php echo $item->categoryLink; ?>"><?php echo $item->categoryname; ?></a>
	      <?php endif; ?>
	
	      <?php if($params->get('itemtags') && count($item->tags)>0): ?>
	      <div class="item-tags">
	      	<b><?php echo JText::_('MOD_NOO_K2ITEMS_TAGS'); ?>:</b>
	        <?php foreach ($item->tags as $tag): ?>
	        <a href="<?php echo $tag->link; ?>" title="<?php echo $tag->name; ?>"><?php echo $tag->name; ?></a>
	        <?php endforeach; ?>
	      </div>
	      <?php endif; ?>
	
	      <?php if($params->get('itemattachments') && count($item->attachments)): ?>
			<div class="item-attachments">
				<?php foreach ($item->attachments as $attachment): ?>
				<a title="<?php echo K2HelperUtilities::cleanHtml($attachment->titleAttribute); ?>" href="<?php echo $attachment->link; ?>"><?php echo $attachment->title; ?></a>
				<?php endforeach; ?>
			</div>
	      <?php endif; ?>

			<?php if($params->get('itemcommentscounter') && $componentParams->get('comments')): ?>		
				<?php if(!empty($item->event->K2CommentsCounter)): ?>
					<!-- K2 Plugins: K2CommentsCounter -->
					<?php echo $item->event->K2CommentsCounter; ?>
				<?php else: ?>
					<?php if($item->num_comments > 0): ?>
					<a class="item-comment" href="<?php echo $item->link.'#itemCommentsAnchor'; ?>">
						<?php echo $item->num_comments; ?> <?php if($item->num_comments>1) echo JText::_('MOD_NOO_K2ITEMS_COMMENTS'); else echo JText::_('MOD_NOO_K2ITEMS_COMMENT'); ?>
					</a>
					<?php else: ?>
					<a class="item-comment" href="<?php echo $item->link.'#itemCommentsAnchor'; ?>">
						<?php echo JText::_('MOD_NOO_K2ITEMS_BE_THE_FIRST_TO_COMMENT'); ?>
					</a>
					<?php endif; ?>
				<?php endif; ?>
			<?php endif; ?>

			<?php if($params->get('itemhits')): ?>
			<span class="item-hits">
				<?php echo JText::_('MOD_NOO_K2ITEMS_READ'); ?> <?php echo $item->hits; ?> <?php echo JText::_('MOD_NOO_K2ITEMS_TIMES'); ?>
			</span>
			<?php endif; ?>

			<?php if($params->get('itemreadmore') && $item->fulltext): ?>
			<a href="<?php echo $item->link; ?>">
				<?php echo JText::_('MOD_NOO_K2ITEMS_READ_MORE'); ?>
			</a>
			<?php endif; ?>

	      <!-- Plugins: AfterDisplay -->
	      <?php echo $item->event->AfterDisplay; ?>
	
	      <!-- K2 Plugins: K2AfterDisplay -->
	      <?php echo $item->event->K2AfterDisplay; ?>  	
		</div>
	
	<?php if ($i%$group == 0 || $i == $countList):?>
	</li>
	<?php endif;?>
<?php endforeach;?>
</ul>
</div>