<?php
/**
 * @package   T3 Blank
 * @copyright Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license   GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

/**
 * Mainbody 2 columns: content - sidebar
 */
?>
<div id="t3-mainbody" class="container t3-mainbody onsidebar2">
	<div class="row">

		<!-- MAIN CONTENT -->
		<div id="t3-content" class="t3-content col-xs-12 col-sm-8  col-md-8 ">
			<div class="main-content">
				<jdoc:include type="message" />
			  
				<?php if ($this->countModules('position-6') || $this->countModules('position-7')) : ?>
				<section class="home-featured 3t-sl t3-sl-1 row">
					<?php if ($this->countModules('position-6')) : ?>
						<div class="col-md-8 first">     
							<jdoc:include type="modules" name="<?php $this->_p('position-6') ?>" style="t3xhtml" />
						</div>
					<?php endif ?>
					<?php if ($this->countModules('position-7')) : ?>
						<div class="col-md-4">     
							<jdoc:include type="modules" name="<?php $this->_p('position-7') ?>" style="t3xhtml" />
						</div>
					<?php endif ?>
				</section>
				<?php endif ?>
				
				<?php if ($this->countModules('position-8')) : ?>
					<div id="content-top" class="content-top<?php $this->_c('position-8')?>">     
						<jdoc:include type="modules" name="<?php $this->_p('position-8') ?>" style="t3xhtml" />
					</div>
				<?php endif ?>	
			
				<jdoc:include type="component" />
			</div>
		</div>
		<!-- //MAIN CONTENT -->

		<!-- SIDEBAR RIGHT -->
		<div class="t3-sidebar t3-sidebar-right col-xs-12 col-sm-4  col-md-4  <?php $this->_c($vars['sidebar']) ?>">
			<jdoc:include type="modules" name="<?php $this->_p($vars['sidebar']) ?>" style="T3Xhtml" />
		</div>
		<!-- //SIDEBAR RIGHT -->

	</div>
</div> 
